POST
/api/v1/nodes/{node_id}/snapshots/
curl --request POST \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/snapshots/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "random"}'import requests
response = requests.post( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/snapshots/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "random", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/snapshots/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "POST", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "random" }),});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_id
required
string
Path parameter node_id.
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key for authenticating the request
Example
<API_KEY>location
required
string
The target location or region for the snapshot.
Example
<LOCATION>Request Body
Section titled “Request Body”Media typeapplication/json
object
name
Name of the snapshot to create
string
Example
randomResponses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
HTTP status code of the snapshot creation response
integer
data
object
snapshot_id
Identifier of the created snapshot
integer
snapshot_details
object
name
Identifier for the created snapshot
string
date
Timestamp of when the snapshot was created
string format: date-time
size
Size of the snapshot in bytes represented as a string
string
snapshot_id
Identifier of the created snapshot
string
errors
object
message
Status message indicating the result of the snapshot creation.
string
Example
{ "code": 200, "data": { "snapshot_id": 0, "snapshot_details": { "name": "random_1752239735.723534", "date": "2025-07-11T13:15:36Z", "size": "95367", "snapshot_id": "0" } }, "message": "Success"}